
/*
 * This file is part of EKG/gEKG, a software package to record EKG.
 * Copyright  2003 Lars Stollenwerk
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.  
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef EKGFILTER_H
#define EKGFILTER_H

#include "EKGdevice.h"

/**
 * Allgemeiner Filter. Von dieser Klasse werden die Hoch- und Tifpafilter
 * abgeleitet. Ein Filter ist ein EKGdevice, das man abschalten kann.
 */
class EKGfilter : public EKGdevice
{
public:
  /// Konstruktor
  EKGfilter() : enable( true ) {}    
  /**
   * Filter ein/aus schalten.
   * @param x neuer Zustand
   * @return alter Zustand
   */
  bool set_enable( const bool x ) 
  {
    bool i = enable;
    enable = x;
    return i;
  }
  /// Einschaltzustand erfragen
  bool get_enable() { return enable; }
protected:
  /// Filter ein/ausgeschaltet. 
  bool enable;
};


#endif
